<div>
    <ng-container *ngIf="products$ | async as products ">
        <ul class="list-group">
            <ng-container *ngIf="existProductToShow(products.length)">
                <ng-container *ngFor="let product of products">
                    <li class="list-group-item list-group-item-action d-flex justify-content-between">
                        <div>
                            <span class="mr-3">{{product.name}}  </span>
                            <span [ngClass]="checkPrice(product.price) ? 'price-valid' : 'price-invalid' ">
                            {{product.price | currency: 'EUR':'symbol'}}
                        </span>
                        </div>
                        <button type="button" class="btn btn-secondary mr-2"
                                (click)="redirectToProductDetails(product.id)">
                            View Details
                        </button>
                    </li>
                </ng-container>
            </ng-container>
            <ng-container *ngIf="!existProductToShow(products.length)">
                <li class="list-group-item list-group-item-action d-flex justify-content-between">
                    <span>The list of products is empty</span>
                </li>
            </ng-container>
        </ul>
    </ng-container>
</div>